/* Copyright (c) 2009, Oracle and/or its affiliates. All rights reserved. */ 

// clientUIView.h : interface of the CclientUIView class
//

#pragma once

class CclientUIView : public CView
{
protected: // create from serialization only
	CclientUIView();
	DECLARE_DYNCREATE(CclientUIView)

// Attributes
public:
	CclientUIDoc* GetDocument() const;

// Operations
public:

// Overrides
public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);

protected:

// Implementation
public:
	virtual ~CclientUIView();
#ifdef _DEBUG
	virtual void AssertValid() const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in clientUIView.cpp
inline CclientUIDoc* CclientUIView::GetDocument() const
   { return reinterpret_cast<CclientUIDoc*>(m_pDocument); }
#endif

